#!/usr/local/bin/bash
###Use this script to convert .avi and .mp4 files to .mkv###
############################################################


###convert .avi to .mkv
for f in *.avi 
  do 
    echo -n $f ' '
mkvmerge -o "${f}.mkv" --language 0:eng --language 1:eng "${f}"
done

###convert .mp4 to .mkv
for f in *.mp4
  do
    echo -n $f ' '
mkvmerge -o "${f}.mkv" --language 0:eng --language 1:eng "${f}"
done


### Correct issues with maning convention ### 
#Renaming .avi.mkv to .mvk
for i in *.avi.mkv
do
    mv "$i" "${i/.avi.mkv/.mkv}"
done


#Renaming .mp4.mkv to .mvk
for i in *.mp4.mkv
do
    mv "$i" "${i/.mp4.mkv/.mkv}"
done


echo "All done boss!!!"
